# Reply :heart: Flutter

> Reply is an email app that uses Material Design components and Material Theming to create an on-brand communication experience.

This project tries to deliver a pixel-perfect implementation of the [Reply Material Design Case Study](https://material.io/design/material-studies/reply.html) in [Flutter](https://github.com/flutter/flutter). 
The focus lies on the UI (animation, layout, transition, etc.) and should showcase how
powerful Flutter has become as a UI framework.

![Reply Animation](gif/reply.gif)

## Getting Started

To install the app on your phone you have two options. For Android you can download a pre-compiled 
APK file from the 'Releases' tab or use the this direct link.

You can also download and run the project - for this you need to have a local Flutter installation. 
Just clone the project and inside the root execute `flutter run --profile`.
This will compile and install the app on your connected device / emulator / simulator.
Also make sure to enable slow animations :wink:


## Design Resources

Currently most of the work is done with the resources you can find on the [official Material page](https://material.io/design/material-studies/reply.html). For some animated icons 2Dimensions' Flare was used, you can find the design files [here](https://www.2dimensions.com/a/flschweiger/files/recent/all). 

## Roadmap

- [x] Initial animation (list, bottom navigation)
- [x] Expand transition with shared avatar
- [x] FAB compose transition
- [x] Animated FAB icon states
- [x] Dismissible list elements

- [ ] Bottom sheet menu
- [ ] Selecting list items
- [ ] Disappearing bottom navigation (when scrolled)
- [ ] Dismissible background animation
- [ ] Pull-To-Refresh animation
- [ ] Splash logo animation
- [ ] Tablet / Desktop layout

## Issues

Please file any issues, bugs, or feature requests in the [repo](https://github.com/flschweiger/reply/issues/new).

## Contributing

If you wish to contribute to this repo, please send me a short DM on [Twitter](https://twitter.com/flschweiger) 
and / or open a [pull request](https://github.com/flschweiger/reply/pulls).

## Thank You

- [@willlarche](https://github.com/willlarche) for providing me some assets for Reply :art:
- [@slightfoot]( https://github.com/slightfoot) who helped me building the very first POC of the expand transition :sparkles:
- The welcoming Flutter community for supporting me when I got started with Flutter some time ago :rocket:
